> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a trigger by id

> Returns the trigger configuration for the specified trigger id, regardless of type.



## OpenAPI

````yaml /api-reference/management-expert.json get /v2/campaigns/{campaignId}{version}/controllers/{controllerId}/triggers/{triggerId}
openapi: 3.0.1
info:
  description: >-
    Advanced configuration endpoints for Extole platform experts: campaign
    controllers, typed actions and triggers, advanced component types and
    facets, source mapping, report post-handlers, pre-handlers, and other expert
    configuration surfaces not included in the standard Management API.
  title: Management Expert API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Authentication
  - name: Campaign Controllers
  - name: Campaign Controllers Actions
  - name: Campaign Controllers Triggers
  - name: Campaign Flow Steps
  - name: Components
  - name: Components Grants
  - name: Components Subscriptions
  - name: Components Types
  - name: Content
  - name: Debug
  - name: Domains
  - name: Email
  - name: Event Prehandlers
  - name: Events
  - name: Javascript Core Extensions
  - name: Persons
  - name: Profiles
  - name: Report Schedules
  - name: Report Types
  - name: Reporting
  - name: Security Keys
  - name: Settings
paths:
  /v2/campaigns/{campaignId}{version}/controllers/{controllerId}/triggers/{triggerId}:
    get:
      tags:
        - Campaign Controllers Triggers
      summary: Get a trigger by id
      description: >-
        Returns the trigger configuration for the specified trigger id,
        regardless of type.
      operationId: getCampaignControllerTrigger
      parameters:
        - in: path
          name: campaignId
          required: true
          schema:
            type: string
        - in: path
          name: version
          required: true
          schema:
            pattern: (/version/.+)?
            type: string
        - in: path
          name: controllerId
          required: true
          schema:
            type: string
        - in: path
          name: triggerId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignControllerTriggerResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                campaign_concurrent_update:
                  $ref: '#/components/examples/campaign_concurrent_update'
                campaign_has_pending_changes:
                  $ref: '#/components/examples/campaign_has_pending_changes'
                campaign_locked:
                  $ref: '#/components/examples/campaign_locked'
                campaign_version_malformed:
                  $ref: '#/components/examples/campaign_version_malformed'
                date_invalid:
                  $ref: '#/components/examples/date_invalid'
                invalid_campaign_id:
                  $ref: '#/components/examples/invalid_campaign_id'
                invalid_campaign_state:
                  $ref: '#/components/examples/invalid_campaign_state'
                invalid_campaign_version:
                  $ref: '#/components/examples/invalid_campaign_version'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                lock_missing_lock_types:
                  $ref: '#/components/examples/lock_missing_lock_types'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                unlock_missing_lock_types:
                  $ref: '#/components/examples/unlock_missing_lock_types'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                invalid_campaign_controller_id:
                  $ref: '#/components/examples/invalid_campaign_controller_id'
                invalid_controller_action_id:
                  $ref: '#/components/examples/invalid_controller_action_id'
                invalid_controller_trigger_id:
                  $ref: '#/components/examples/invalid_controller_trigger_id'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    CampaignControllerTriggerResponse:
      description: >-
        Stored campaign controller trigger definition. Fields `trigger_phase`,
        `trigger_name`, `parent_trigger_group_name`, `trigger_description`,
        `enabled`, and `negated` are unevaluated and appear in
        buildtime-evaluatable form.
      discriminator:
        mapping:
          ACCESS:
            $ref: '#/components/schemas/CampaignControllerTriggerAccessResponse'
          AUDIENCE_MEMBERSHIP:
            $ref: >-
              #/components/schemas/CampaignControllerTriggerAudienceMembershipResponse
          AUDIENCE_MEMBERSHIP_EVENT:
            $ref: >-
              #/components/schemas/CampaignControllerTriggerAudienceMembershipEventResponse
          CLIENT_DOMAIN:
            $ref: '#/components/schemas/CampaignControllerTriggerClientDomainResponse'
          DATA_INTELLIGENCE_EVENT:
            $ref: >-
              #/components/schemas/CampaignControllerTriggerDataIntelligenceEventResponse
          EVENT:
            $ref: '#/components/schemas/CampaignControllerTriggerEventResponse'
          EVENT_TARGETING:
            $ref: >-
              #/components/schemas/CampaignControllerTriggerEventTargetingResponse
          EXPRESSION:
            $ref: '#/components/schemas/CampaignControllerTriggerExpressionResponse'
          GROUP:
            $ref: '#/components/schemas/CampaignControllerTriggerGroupResponse'
          HAS_IDENTITY:
            $ref: '#/components/schemas/CampaignControllerTriggerHasIdentityResponse'
          HAS_PRIOR_REWARD:
            $ref: >-
              #/components/schemas/CampaignControllerTriggerHasPriorRewardResponse
          HAS_PRIOR_STEP:
            $ref: '#/components/schemas/CampaignControllerTriggerHasPriorStepResponse'
          JOURNEY_CHECK:
            $ref: '#/components/schemas/CampaignControllerTriggerJourneyCheckResponse'
          LEGACY_LABEL_TARGETING:
            $ref: >-
              #/components/schemas/CampaignControllerTriggerLegacyLabelTargetingResponse
          LEGACY_QUALITY:
            $ref: >-
              #/components/schemas/CampaignControllerTriggerLegacyQualityResponse
          MAXMIND:
            $ref: '#/components/schemas/CampaignControllerTriggerMaxMindResponse'
          REFERRED_BY_EVENT:
            $ref: >-
              #/components/schemas/CampaignControllerTriggerReferredByEventResponse
          REWARD_EVENT:
            $ref: '#/components/schemas/CampaignControllerTriggerRewardEventResponse'
          SCORE:
            $ref: '#/components/schemas/CampaignControllerTriggerScoreResponse'
          SEND_REWARD_EVENT:
            $ref: >-
              #/components/schemas/CampaignControllerTriggerSendRewardEventResponse
          SHARE:
            $ref: '#/components/schemas/CampaignControllerTriggerShareResponse'
          STEP_EVENT:
            $ref: '#/components/schemas/CampaignControllerTriggerStepEventResponse'
          STICKY_JOURNEY:
            $ref: >-
              #/components/schemas/CampaignControllerTriggerStickyJourneyResponse
          TARGETING:
            $ref: '#/components/schemas/CampaignControllerTriggerTargetingResponse'
          ZONE_STATE:
            $ref: '#/components/schemas/CampaignControllerTriggerZoneStateResponse'
        propertyName: trigger_type
      oneOf:
        - title: ACCESS
          allOf:
            - $ref: '#/components/schemas/CampaignControllerTriggerAccessResponse'
        - title: AUDIENCE_MEMBERSHIP
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerAudienceMembershipResponse
        - title: AUDIENCE_MEMBERSHIP_EVENT
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerAudienceMembershipEventResponse
        - title: CLIENT_DOMAIN
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerClientDomainResponse
        - title: DATA_INTELLIGENCE_EVENT
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerDataIntelligenceEventResponse
        - title: EVENT
          allOf:
            - $ref: '#/components/schemas/CampaignControllerTriggerEventResponse'
        - title: EVENT_TARGETING
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerEventTargetingResponse
        - title: EXPRESSION
          allOf:
            - $ref: '#/components/schemas/CampaignControllerTriggerExpressionResponse'
        - title: GROUP
          allOf:
            - $ref: '#/components/schemas/CampaignControllerTriggerGroupResponse'
        - title: HAS_IDENTITY
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerHasIdentityResponse
        - title: HAS_PRIOR_REWARD
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerHasPriorRewardResponse
        - title: HAS_PRIOR_STEP
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerHasPriorStepResponse
        - title: JOURNEY_CHECK
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerJourneyCheckResponse
        - title: LEGACY_LABEL_TARGETING
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerLegacyLabelTargetingResponse
        - title: LEGACY_QUALITY
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerLegacyQualityResponse
        - title: MAXMIND
          allOf:
            - $ref: '#/components/schemas/CampaignControllerTriggerMaxMindResponse'
        - title: REFERRED_BY_EVENT
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerReferredByEventResponse
        - title: REWARD_EVENT
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerRewardEventResponse
        - title: SCORE
          allOf:
            - $ref: '#/components/schemas/CampaignControllerTriggerScoreResponse'
        - title: SEND_REWARD_EVENT
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerSendRewardEventResponse
        - title: SHARE
          allOf:
            - $ref: '#/components/schemas/CampaignControllerTriggerShareResponse'
        - title: STEP_EVENT
          allOf:
            - $ref: '#/components/schemas/CampaignControllerTriggerStepEventResponse'
        - title: STICKY_JOURNEY
          allOf:
            - $ref: >-
                #/components/schemas/CampaignControllerTriggerStickyJourneyResponse
        - title: TARGETING
          allOf:
            - $ref: '#/components/schemas/CampaignControllerTriggerTargetingResponse'
        - title: ZONE_STATE
          allOf:
            - $ref: '#/components/schemas/CampaignControllerTriggerZoneStateResponse'
      required:
        - component_ids
        - component_references
        - enabled
        - negated
        - parent_trigger_group_name
        - trigger_description
        - trigger_id
        - trigger_name
        - trigger_phase
        - trigger_type
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    CampaignControllerTriggerAccessResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            trigger_type:
              enum:
                - ACCESS
              type: string
            trusted_scopes:
              items:
                enum:
                  - BACKEND
                  - CLIENT_ADMIN
                  - CLIENT_REPORT_DOWNLOAD
                  - CLIENT_SUPERUSER
                  - ONE_TIME
                  - PASSWORD_RESET
                  - UPDATE_PROFILE
                  - USER_SUPPORT
                  - VERIFIED_CONSUMER
                type: string
              type: array
              uniqueItems: true
          type: object
      type: object
      title: ACCESS
    CampaignControllerTriggerAudienceMembershipResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            having_any_audience_id:
              $ref: >-
                #/components/schemas/HavingAnyAudienceIdInCampaignControllerTriggerAudienceMembershipResponse
            person_id:
              $ref: >-
                #/components/schemas/PersonIdInCampaignControllerTriggerAudienceMembershipResponse
            trigger_type:
              enum:
                - AUDIENCE_MEMBERSHIP
              type: string
          type: object
      type: object
      title: AUDIENCE_MEMBERSHIP
    CampaignControllerTriggerAudienceMembershipEventResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            audience_ids:
              $ref: >-
                #/components/schemas/AudienceIdsInCampaignControllerTriggerAudienceMembershipEventResponse
            event_types:
              $ref: >-
                #/components/schemas/EventTypesInCampaignControllerTriggerAudienceMembershipEventResponse
            trigger_type:
              enum:
                - AUDIENCE_MEMBERSHIP_EVENT
              type: string
          type: object
      type: object
      title: AUDIENCE_MEMBERSHIP_EVENT
    CampaignControllerTriggerClientDomainResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            client_domain_ids:
              $ref: >-
                #/components/schemas/ClientDomainIdsInCampaignControllerTriggerClientDomainResponse
            trigger_type:
              enum:
                - CLIENT_DOMAIN
              type: string
          type: object
      type: object
      title: CLIENT_DOMAIN
    CampaignControllerTriggerDataIntelligenceEventResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            event_name:
              $ref: >-
                #/components/schemas/EventNameInCampaignControllerTriggerDataIntelligenceEventResponse
            trigger_type:
              enum:
                - DATA_INTELLIGENCE_EVENT
              type: string
          type: object
      type: object
      title: DATA_INTELLIGENCE_EVENT
    CampaignControllerTriggerEventResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            event_names:
              $ref: >-
                #/components/schemas/EventNamesInCampaignControllerTriggerEventResponse
            event_type:
              $ref: >-
                #/components/schemas/EventTypeInCampaignControllerTriggerEventResponse
            trigger_type:
              enum:
                - EVENT
              type: string
          type: object
      type: object
      title: EVENT
    CampaignControllerTriggerEventTargetingResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            targeting_attributes:
              $ref: >-
                #/components/schemas/TargetingAttributesInCampaignControllerTriggerEventTargetingResponse
            trigger_type:
              enum:
                - EVENT_TARGETING
              type: string
          type: object
      type: object
      title: EVENT_TARGETING
    CampaignControllerTriggerExpressionResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            data:
              additionalProperties:
                type: string
              nullable: true
              type: object
            expression:
              $ref: >-
                #/components/schemas/ExpressionInCampaignControllerTriggerExpressionResponse
            trigger_type:
              enum:
                - EXPRESSION
              type: string
          type: object
      type: object
      title: EXPRESSION
    CampaignControllerTriggerGroupResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            operator:
              $ref: >-
                #/components/schemas/OperatorInCampaignControllerTriggerGroupResponse
            trigger_type:
              enum:
                - GROUP
              type: string
          type: object
      type: object
      title: GROUP
    CampaignControllerTriggerHasIdentityResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            trigger_type:
              enum:
                - HAS_IDENTITY
              type: string
          type: object
      type: object
      title: HAS_IDENTITY
    CampaignControllerTriggerHasPriorRewardResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            count_matches:
              $ref: >-
                #/components/schemas/CountMatchesInCampaignControllerTriggerHasPriorRewardResponse
            count_max:
              $ref: >-
                #/components/schemas/CountMaxInCampaignControllerTriggerHasPriorRewardResponse
            count_min:
              $ref: >-
                #/components/schemas/CountMinInCampaignControllerTriggerHasPriorRewardResponse
            filter_expression:
              $ref: >-
                #/components/schemas/FilterExpressionInCampaignControllerTriggerHasPriorRewardResponse
            filter_expressions:
              items:
                type: string
              type: array
              uniqueItems: true
            filter_face_value_types:
              $ref: >-
                #/components/schemas/FilterFaceValueTypesInCampaignControllerTriggerHasPriorRewardResponse
            filter_max_age:
              $ref: >-
                #/components/schemas/FilterMaxAgeInCampaignControllerTriggerHasPriorRewardResponse
            filter_max_date:
              $ref: >-
                #/components/schemas/FilterMaxDateInCampaignControllerTriggerHasPriorRewardResponse
            filter_min_age:
              $ref: >-
                #/components/schemas/FilterMinAgeInCampaignControllerTriggerHasPriorRewardResponse
            filter_min_date:
              $ref: >-
                #/components/schemas/FilterMinDateInCampaignControllerTriggerHasPriorRewardResponse
            filter_names:
              $ref: >-
                #/components/schemas/FilterNamesInCampaignControllerTriggerHasPriorRewardResponse
            filter_reward_supplier_ids:
              $ref: >-
                #/components/schemas/FilterRewardSupplierIdsInCampaignControllerTriggerHasPriorRewardResponse
            filter_scope:
              $ref: >-
                #/components/schemas/FilterScopeInCampaignControllerTriggerHasPriorRewardResponse
            filter_states:
              $ref: >-
                #/components/schemas/FilterStatesInCampaignControllerTriggerHasPriorRewardResponse
            filter_tags:
              $ref: >-
                #/components/schemas/FilterTagsInCampaignControllerTriggerHasPriorRewardResponse
            sum_of_face_value_max:
              $ref: >-
                #/components/schemas/SumOfFaceValueMaxInCampaignControllerTriggerHasPriorRewardResponse
            sum_of_face_value_min:
              $ref: >-
                #/components/schemas/SumOfFaceValueMinInCampaignControllerTriggerHasPriorRewardResponse
            tax_year_start:
              $ref: >-
                #/components/schemas/TaxYearStartInCampaignControllerTriggerHasPriorRewardResponse
            trigger_type:
              enum:
                - HAS_PRIOR_REWARD
              type: string
          type: object
      type: object
      title: HAS_PRIOR_REWARD
    CampaignControllerTriggerHasPriorStepResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            count_matches:
              $ref: >-
                #/components/schemas/CountMatchesInCampaignControllerTriggerHasPriorStepResponse
            count_max:
              $ref: >-
                #/components/schemas/CountMaxInCampaignControllerTriggerHasPriorStepResponse
            count_min:
              $ref: >-
                #/components/schemas/CountMinInCampaignControllerTriggerHasPriorStepResponse
            filter_campaign_id:
              type: string
            filter_campaign_ids:
              $ref: >-
                #/components/schemas/FilterCampaignIdsInCampaignControllerTriggerHasPriorStepResponse
            filter_expression:
              $ref: >-
                #/components/schemas/FilterExpressionInCampaignControllerTriggerHasPriorStepResponse
            filter_expressions:
              items:
                type: string
              type: array
              uniqueItems: true
            filter_max_age:
              $ref: >-
                #/components/schemas/FilterMaxAgeInCampaignControllerTriggerHasPriorStepResponse
            filter_max_date:
              $ref: >-
                #/components/schemas/FilterMaxDateInCampaignControllerTriggerHasPriorStepResponse
            filter_max_value:
              $ref: >-
                #/components/schemas/FilterMaxValueInCampaignControllerTriggerHasPriorStepResponse
            filter_min_age:
              $ref: >-
                #/components/schemas/FilterMinAgeInCampaignControllerTriggerHasPriorStepResponse
            filter_min_date:
              $ref: >-
                #/components/schemas/FilterMinDateInCampaignControllerTriggerHasPriorStepResponse
            filter_min_value:
              $ref: >-
                #/components/schemas/FilterMinValueInCampaignControllerTriggerHasPriorStepResponse
            filter_names:
              $ref: >-
                #/components/schemas/FilterNamesInCampaignControllerTriggerHasPriorStepResponse
            filter_partner_event_id:
              $ref: >-
                #/components/schemas/FilterPartnerEventIdInCampaignControllerTriggerHasPriorStepResponse
            filter_partner_event_id_name:
              type: string
            filter_partner_event_id_value:
              type: string
            filter_program_label:
              type: string
            filter_program_labels:
              $ref: >-
                #/components/schemas/FilterProgramLabelsInCampaignControllerTriggerHasPriorStepResponse
            filter_quality:
              $ref: >-
                #/components/schemas/FilterQualityInCampaignControllerTriggerHasPriorStepResponse
            filter_scope:
              $ref: >-
                #/components/schemas/FilterScopeInCampaignControllerTriggerHasPriorStepResponse
            having_all_names:
              $ref: >-
                #/components/schemas/HavingAllNamesInCampaignControllerTriggerHasPriorStepResponse
            person_id:
              $ref: >-
                #/components/schemas/PersonIdInCampaignControllerTriggerHasPriorStepResponse
            sum_of_value_max:
              $ref: >-
                #/components/schemas/SumOfValueMaxInCampaignControllerTriggerHasPriorStepResponse
            sum_of_value_min:
              $ref: >-
                #/components/schemas/SumOfValueMinInCampaignControllerTriggerHasPriorStepResponse
            trigger_type:
              enum:
                - HAS_PRIOR_STEP
              type: string
          type: object
      type: object
      title: HAS_PRIOR_STEP
    CampaignControllerTriggerJourneyCheckResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            journey_name:
              $ref: >-
                #/components/schemas/JourneyNameInCampaignControllerTriggerJourneyCheckResponse
            person_id:
              $ref: >-
                #/components/schemas/PersonIdInCampaignControllerTriggerJourneyCheckResponse
            trigger_type:
              enum:
                - JOURNEY_CHECK
              type: string
          type: object
      type: object
      title: JOURNEY_CHECK
    CampaignControllerTriggerLegacyLabelTargetingResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            trigger_type:
              enum:
                - LEGACY_LABEL_TARGETING
              type: string
          type: object
      type: object
      title: LEGACY_LABEL_TARGETING
    CampaignControllerTriggerLegacyQualityResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            action_type:
              $ref: >-
                #/components/schemas/ActionTypeInCampaignControllerTriggerLegacyQualityResponse
            trigger_type:
              enum:
                - LEGACY_QUALITY
              type: string
          type: object
      type: object
      title: LEGACY_QUALITY
    CampaignControllerTriggerMaxMindResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            allow_high_risk_email:
              $ref: >-
                #/components/schemas/AllowHighRiskEmailInCampaignControllerTriggerMaxMindResponse
            default_quality_score:
              $ref: >-
                #/components/schemas/DefaultQualityScoreInCampaignControllerTriggerMaxMindResponse
            ip_threshold:
              $ref: >-
                #/components/schemas/IpThresholdInCampaignControllerTriggerMaxMindResponse
            risk_threshold:
              $ref: >-
                #/components/schemas/RiskThresholdInCampaignControllerTriggerMaxMindResponse
            trigger_type:
              enum:
                - MAXMIND
              type: string
          type: object
      type: object
      title: MAXMIND
    CampaignControllerTriggerReferredByEventResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            referral_originator:
              enum:
                - ADVOCATE
                - FRIEND
              nullable: true
              type: string
            trigger_type:
              enum:
                - REFERRED_BY_EVENT
              type: string
          type: object
      type: object
      title: REFERRED_BY_EVENT
    CampaignControllerTriggerRewardEventResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            event_names:
              $ref: >-
                #/components/schemas/EventNamesInCampaignControllerTriggerRewardEventResponse
            reward_states:
              $ref: >-
                #/components/schemas/RewardStatesInCampaignControllerTriggerRewardEventResponse
            slots:
              $ref: >-
                #/components/schemas/SlotsInCampaignControllerTriggerRewardEventResponse
            tags:
              $ref: >-
                #/components/schemas/TagsInCampaignControllerTriggerRewardEventResponse
            trigger_type:
              enum:
                - REWARD_EVENT
              type: string
          type: object
      type: object
      title: REWARD_EVENT
    CampaignControllerTriggerScoreResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            cause_event_name:
              type: string
            channel:
              type: string
            score_result:
              type: string
            trigger_type:
              enum:
                - SCORE
              type: string
          type: object
      type: object
      title: SCORE
    CampaignControllerTriggerSendRewardEventResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            reward_names:
              $ref: >-
                #/components/schemas/RewardNamesInCampaignControllerTriggerSendRewardEventResponse
            reward_states:
              $ref: >-
                #/components/schemas/RewardStatesInCampaignControllerTriggerSendRewardEventResponse
            tags:
              $ref: >-
                #/components/schemas/TagsInCampaignControllerTriggerSendRewardEventResponse
            trigger_type:
              enum:
                - SEND_REWARD_EVENT
              type: string
          type: object
      type: object
      title: SEND_REWARD_EVENT
    CampaignControllerTriggerShareResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            channels:
              items:
                enum:
                  - ANY
                  - EMAIL
                  - EXTOLE_EMAIL
                  - EXTOLE_TWITTER
                  - FACEBOOK
                  - TWITTER
                type: string
              type: array
              uniqueItems: true
            quality:
              enum:
                - ANY
                - HIGH
                - LOW
              type: string
            share_types:
              items:
                enum:
                  - ANY
                  - EMAIL
                  - EXTOLE_EMAIL
                  - EXTOLE_TWITTER
                  - FACEBOOK
                  - TWITTER
                type: string
              type: array
              uniqueItems: true
              writeOnly: true
            trigger_type:
              enum:
                - SHARE
              type: string
          type: object
      type: object
      title: SHARE
    CampaignControllerTriggerStepEventResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            event_names:
              $ref: >-
                #/components/schemas/EventNamesInCampaignControllerTriggerStepEventResponse
            having_any_data_name:
              $ref: >-
                #/components/schemas/HavingAnyDataNameInCampaignControllerTriggerStepEventResponse
            trigger_type:
              enum:
                - STEP_EVENT
              type: string
          type: object
      type: object
      title: STEP_EVENT
    CampaignControllerTriggerStickyJourneyResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            label:
              $ref: >-
                #/components/schemas/LabelInCampaignControllerTriggerStickyJourneyResponse
            trigger_type:
              enum:
                - STICKY_JOURNEY
              type: string
          type: object
      type: object
      title: STICKY_JOURNEY
    CampaignControllerTriggerTargetingResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            scope:
              $ref: >-
                #/components/schemas/ScopeInCampaignControllerTriggerTargetingResponse
            trigger_type:
              enum:
                - TARGETING
              type: string
          type: object
      type: object
      title: TARGETING
    CampaignControllerTriggerZoneStateResponse:
      allOf:
        - $ref: '#/components/schemas/CampaignControllerTriggerResponseBase'
        - properties:
            invert_mapping_state:
              type: boolean
            step_name:
              $ref: >-
                #/components/schemas/StepNameInCampaignControllerTriggerZoneStateResponse
            trigger_type:
              enum:
                - ZONE_STATE
              type: string
            zone_name:
              $ref: >-
                #/components/schemas/ZoneNameInCampaignControllerTriggerZoneStateResponse
          type: object
      type: object
      title: ZONE_STATE
    CampaignControllerTriggerResponseBase:
      properties:
        component_ids:
          items:
            type: string
          type: array
        component_references:
          items:
            $ref: '#/components/schemas/ComponentReferenceResponse'
          type: array
        enabled:
          $ref: '#/components/schemas/EnabledInCampaignControllerTriggerResponseBase'
        negated:
          $ref: '#/components/schemas/NegatedInCampaignControllerTriggerResponseBase'
        parent_trigger_group_name:
          $ref: >-
            #/components/schemas/ParentTriggerGroupNameInCampaignControllerTriggerResponseBase
        trigger_description:
          $ref: >-
            #/components/schemas/TriggerDescriptionInCampaignControllerTriggerResponseBase
        trigger_id:
          type: string
        trigger_name:
          $ref: >-
            #/components/schemas/TriggerNameInCampaignControllerTriggerResponseBase
        trigger_phase:
          $ref: >-
            #/components/schemas/TriggerPhaseInCampaignControllerTriggerResponseBase
        trigger_type:
          enum:
            - ACCESS
            - AUDIENCE_MEMBERSHIP
            - AUDIENCE_MEMBERSHIP_EVENT
            - CLIENT_DOMAIN
            - DATA_INTELLIGENCE_EVENT
            - EVENT
            - EVENT_TARGETING
            - EXPRESSION
            - GROUP
            - HAS_IDENTITY
            - HAS_PRIOR_REWARD
            - HAS_PRIOR_STEP
            - JOURNEY_CHECK
            - LEGACY_LABEL_TARGETING
            - LEGACY_QUALITY
            - MAXMIND
            - REFERRED_BY_EVENT
            - REWARD_EVENT
            - SCORE
            - SEND_REWARD_EVENT
            - SHARE
            - STEP_EVENT
            - STICKY_JOURNEY
            - TARGETING
            - ZONE_STATE
          type: string
      type: object
    HavingAnyAudienceIdInCampaignControllerTriggerAudienceMembershipResponse:
      description: >-
        The having any audience id as configured: a literal value, or an
        expression (type:string) when defined dynamically.
      oneOf:
        - description: Literal having any audience id
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{havingAnyAudienceId}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('havingAnyAudienceId');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    PersonIdInCampaignControllerTriggerAudienceMembershipResponse:
      description: >-
        The person id as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal person id
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [AudienceMembershipTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/audience/membership/AudienceMembershipTriggerContext.d.ts).
          example: handlebars@runtime:{{personId}}
          externalDocs:
            description: AudienceMembershipTriggerContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/audience/membership/AudienceMembershipTriggerContext.d.ts
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [AudienceMembershipTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/audience/membership/AudienceMembershipTriggerContext.d.ts).
          example: javascript@runtime:function() { return context.get('personId');}
          externalDocs:
            description: AudienceMembershipTriggerContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/audience/membership/AudienceMembershipTriggerContext.d.ts
          pattern: ^javascript@runtime:.*
          title: Runtime - Javascript
          type: string
    AudienceIdsInCampaignControllerTriggerAudienceMembershipEventResponse:
      description: >-
        The audience ids as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal audience ids
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{audienceIds}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('audienceIds');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    EventTypesInCampaignControllerTriggerAudienceMembershipEventResponse:
      description: >-
        The event types as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal event types
          items:
            enum:
              - CREATED
              - REMOVED
              - UPDATED
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{eventTypes}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('eventTypes');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    ClientDomainIdsInCampaignControllerTriggerClientDomainResponse:
      description: >-
        The client domain ids as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal client domain ids
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{clientDomainIds}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('clientDomainIds');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    EventNameInCampaignControllerTriggerDataIntelligenceEventResponse:
      description: >-
        The event name as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - type: string
            - not:
                anyOf:
                  - pattern: ^handlebars@buildtime:.*
                    type: string
                  - pattern: ^javascript@buildtime:.*
                    type: string
              type: string
          description: Literal event name
          title: Static Value
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{eventName}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('eventName');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    EventNamesInCampaignControllerTriggerEventResponse:
      description: >-
        The event names as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal event names
          items:
            type: string
          title: Static Value
          type: array
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{eventNames}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('eventNames');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    EventTypeInCampaignControllerTriggerEventResponse:
      description: >-
        The event type as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal event type
          enum:
            - ASSET
            - DATA_INTELLIGENCE
            - DISPLACED
            - DISPLACED_BY
            - FORWARDED
            - IDENTIFIED
            - INPUT
            - INTERNAL
            - LEGACY_CONSUMER_EVENT
            - MESSAGE
            - MESSAGE_NOT_DELIVERED
            - REFERRED
            - REFERRED_BY
            - SCHEDULED
            - SHARE
            - SHAREABLE
            - STEP
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{eventType}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('eventType');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    TargetingAttributesInCampaignControllerTriggerEventTargetingResponse:
      description: >-
        The targeting attributes as configured: a literal value, or an
        expression (type:string) when defined dynamically.
      oneOf:
        - additionalProperties:
            type: string
          description: Literal targeting attributes
          title: Static Value
          type: object
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{targetingAttributes}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('targetingAttributes');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    ExpressionInCampaignControllerTriggerExpressionResponse:
      description: >-
        The expression as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal expression
          title: Static Value
          type: boolean
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{expression}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('expression');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
        - description: >-
            Handlebars expression with
            [ExpressionTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/expression/ExpressionTriggerContext.d.ts).
          example: handlebars@runtime:{{expression}}
          externalDocs:
            description: ExpressionTriggerContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/expression/ExpressionTriggerContext.d.ts
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ExpressionTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/expression/ExpressionTriggerContext.d.ts).
          example: javascript@runtime:function() { return context.get('expression');}
          externalDocs:
            description: ExpressionTriggerContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/expression/ExpressionTriggerContext.d.ts
          pattern: ^javascript@runtime:.*
          title: Runtime - Javascript
          type: string
    OperatorInCampaignControllerTriggerGroupResponse:
      description: >-
        The operator as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal operator
          enum:
            - AND
            - OR
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{operator}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('operator');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CountMatchesInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The count matches as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal count matches
          items:
            format: int32
            type: integer
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{countMatches}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('countMatches');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CountMaxInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The count max as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal count max
          format: int32
          title: Static Value
          type: integer
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{countMax}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('countMax');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CountMinInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The count min as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal count min
          format: int32
          title: Static Value
          type: integer
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{countMin}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('countMin');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterExpressionInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter expression as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal filter expression
          title: Static Value
          type: boolean
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterExpression}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterExpression');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
        - description: >-
            Handlebars expression with
            [RewardHasPriorRewardTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/RewardHasPriorRewardTriggerContext.d.ts).
          example: handlebars@runtime:{{filterExpression}}
          externalDocs:
            description: RewardHasPriorRewardTriggerContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/RewardHasPriorRewardTriggerContext.d.ts
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [RewardHasPriorRewardTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/RewardHasPriorRewardTriggerContext.d.ts).
          example: >-
            javascript@runtime:function() { return
            context.get('filterExpression');}
          externalDocs:
            description: RewardHasPriorRewardTriggerContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/reward/RewardHasPriorRewardTriggerContext.d.ts
          pattern: ^javascript@runtime:.*
          title: Runtime - Javascript
          type: string
    FilterFaceValueTypesInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter face value types as configured: a literal value, or an
        expression (type:string) when defined dynamically.
      oneOf:
        - description: Literal filter face value types
          items:
            enum:
              - AUD
              - BRL
              - CAD
              - CNY
              - EUR
              - GBP
              - HKD
              - INR
              - JPY
              - KRW
              - MONTH
              - MXN
              - NZD
              - PERCENT_OFF
              - POINTS
              - TRY
              - TWD
              - USD
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterFaceValueTypes}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterFaceValueTypes');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterMaxAgeInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter max age as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/Duration'
          description: Literal filter max age
          title: Static Value
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterMaxAge}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterMaxAge');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterMaxDateInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter max date as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/ZonedDateTime'
          description: Literal filter max date
          title: Static Value
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterMaxDate}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterMaxDate');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterMinAgeInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter min age as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/Duration'
          description: Literal filter min age
          title: Static Value
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterMinAge}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterMinAge');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterMinDateInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter min date as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/ZonedDateTime'
          description: Literal filter min date
          title: Static Value
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterMinDate}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterMinDate');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterNamesInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter names as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal filter names
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterNames}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterNames');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterRewardSupplierIdsInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter reward supplier ids as configured: a literal value, or an
        expression (type:string) when defined dynamically.
      oneOf:
        - description: Literal filter reward supplier ids
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterRewardSupplierIds}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterRewardSupplierIds');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterScopeInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter scope as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal filter scope
          enum:
            - CAMPAIGN
            - CLIENT
            - JOURNEY
            - PROGRAM
          title: Static Value
          type: string
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterScope}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterScope');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterStatesInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter states as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal filter states
          items:
            enum:
              - CANCELED
              - EARNED
              - FAILED
              - FULFILLED
              - REDEEMED
              - REVOKED
              - SENT
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterStates}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterStates');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterTagsInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The filter tags as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal filter tags
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterTags}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterTags');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    SumOfFaceValueMaxInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The sum of face value max as configured: a literal value, or an
        expression (type:string) when defined dynamically.
      oneOf:
        - description: Literal sum of face value max
          title: Static Value
          type: number
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{sumOfFaceValueMax}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('sumOfFaceValueMax');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    SumOfFaceValueMinInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The sum of face value min as configured: a literal value, or an
        expression (type:string) when defined dynamically.
      oneOf:
        - description: Literal sum of face value min
          title: Static Value
          type: number
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{sumOfFaceValueMin}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('sumOfFaceValueMin');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    TaxYearStartInCampaignControllerTriggerHasPriorRewardResponse:
      description: >-
        The tax year start as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/MonthDay'
          description: Literal tax year start
          title: Static Value
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{taxYearStart}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('taxYearStart');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CountMatchesInCampaignControllerTriggerHasPriorStepResponse:
      description: >-
        The count matches as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal count matches
          items:
            format: int32
            type: integer
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{countMatches}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('countMatches');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CountMaxInCampaignControllerTriggerHasPriorStepResponse:
      description: >-
        The count max as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal count max
          format: int32
          title: Static Value
          type: integer
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{countMax}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('countMax');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    CountMinInCampaignControllerTriggerHasPriorStepResponse:
      description: >-
        The count min as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal count min
          format: int32
          title: Static Value
          type: integer
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{countMin}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('countMin');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
    FilterCampaignIdsInCampaignControllerTriggerHasPriorStepResponse:
      description: >-
        The filter campaign ids as configured: a literal value, or an expression
        (type:string) when defined dynamically.
      oneOf:
        - description: Literal filter campaign ids
          items:
            type: string
          title: Static Value
          type: array
          uniqueItems: true
        - description: >-
            Handlebars expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: handlebars@buildtime:{{filterCampaignIds}}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^handlebars@buildtime:.*
          title: Buildtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [ControllerBuildtimeContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts).
          example: >-
            javascript@buildtime:function() { return
            context.getVariableContext().get('filterCampaignIds');}
          externalDocs:
            description: ControllerBuildtimeContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/campaign/ControllerBuildtimeContext.d.ts
          pattern: ^javascript@buildtime:.*
          title: Buildtime - Javascript
          type: string
        - description: >-
            Handlebars expression with
            [HasPriorStepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/HasPriorStepTriggerContext.d.ts).
          example: handlebars@runtime:{{filterCampaignIds}}
          externalDocs:
            description: HasPriorStepTriggerContext
            url: >-
              https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/HasPriorStepTriggerContext.d.ts
          pattern: ^handlebars@runtime:.*
          title: Runtime - Handlebars
          type: string
        - description: >-
            Javascript expression with
            [HasPriorStepTriggerContext](https://github.com/extole/extole-specification/blob/main/openapi/expression-context/com/extole/api/trigger/has/prior/step/HasPriorStepTriggerContext.d.ts).
          example: >-
            javascript@runtime:function() { return
            context.get('filterCampaignIds');}
          externalDocs:
[...]
